package com.zy.omp.common.controller;

import com.zy.omp.common.exception.ApiRuntimeException;
import com.zy.omp.utils.AesUtils;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.servlet.http.HttpServletRequest;

/**
 * controller公共类提出
 *
 * @author chenyi
 * date: create on 2019/6/8
 */
@Component
public class BaseController {
    private HttpServletRequest request;

    //获取登录信息
    @ModelAttribute
    public void setModelAttribute(HttpServletRequest request) {
        this.request = request;
    }

    /**
     * 微信小程序
     * 获取用户ID
     */
    public String getUserId() {
        String userId = AesUtils.decrypt(request.getHeader("user"));
        if (userId == null) throw new ApiRuntimeException("未登录");
        return userId;
    }
}
