package com.zy.omp.controller.wx;

import com.zy.omp.common.ServerResponse;
import com.zy.omp.model.User;
import com.zy.omp.service.UserService;
import com.zy.omp.utils.AesUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户信息相关
 *
 * @author chen_yi
 * Create on 2020/8/1
 */
@RestController
@RequestMapping("omp/api/wx/user")
public class UserController {
    @Resource
    private UserService userService;

    /**
     * 微信登录
     *
     * @param code 微信登录凭证
     * @return 用户openId
     */
    @PostMapping("login.do")
    public ServerResponse login(String code) {
        String openId = userService.getWxAppId(code);
        if (openId == null) return ServerResponse.createByError();
        //保存新用户
        if (userService.getByOpenId(openId) == null) {
            userService.save(new User(openId));
        }
        return ServerResponse.createBySuccess(AesUtils.encrypt(openId));
    }
}
