package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.omp.model.DeviceDynamic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 用户设备绑定关系表
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceDynamicMapper extends BaseMapper<DeviceDynamic> {

    /**
     * 查询设备是否有绑定用户
     *
     * @param deviceNum 设备号
     */
    int checkBind(@Param("deviceNum") String deviceNum);

    /**
     * 查询设备是否属于某用户
     *
     * @param userId   用户ID
     * @param deviceId 设备ID
     */
    int checkBelong(@Param("userId") String userId, @Param("deviceId") String deviceId);
}
