package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备最新的定位
 */
@Data
@TableName("latest_location")
public class LatestLocation {


    @TableId
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 电量
     */
    private Integer batteryNum;

    /**
     * 信号强度
     */
    private Integer signalNum;

    /**
     * 0:无法定位，1：北斗定位，2：基站定位，3：GPS定位
     */
    private Integer mode;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 经度(gcj)
     */
    private String lonGcj;

    /**
     * 纬度(gcj)
     */
    private String latGcj;

    /**
     * 格式化的地理位置
     */
    private String site;

    /**
     * 速度
     */
    private String speed;

    /**
     * 收星颗数
     */
    private Integer num;

    /**
     * 数据上传时间
     */
    private LocalDateTime uploadTime;

    /**
     * 最新的修改时间
     */
    private LocalDateTime modifyTime;
}
