package com.zy.omp.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备信息Vo 包含设备信息,位置信息
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class DeviceFullDataVo {
    /**
     * 设备随机码
     */
    private String deviceNum;
    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * MQTT 密码
     */
    private String password;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 最后一次在线时间
     */
    private LocalDateTime lastOnlineTime;

    /**
     * 1在线，0离线
     */
    private Integer status;

    /**
     * 电量
     */
    private Integer batteryNum;

    /**
     * 信号强度
     */
    private Integer signalNum;

    /**
     * 0:无法定位，1：北斗定位，2：基站定位，3：GPS定位
     */
    private Integer mode;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 格式化的地理位置
     */
    private String site;

    /**
     * 速度
     */
    private String speed;

    /**
     * 收星颗数
     */
    private Integer num;

    /**
     * 数据上传时间
     */
    private LocalDateTime uploadTime;
}
